Bug 448674 - X/Open Federated Naming service master map entry should be handled by autofs
X/Open Federated Naming service master map entry should be handled by autofs
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Ian Kent
Brock Organ
Depends On:
Blocks: 462273
  Show dependency treegraph
Reported: 2008-05-28 03:50 EDT by Ian Kent
Modified: 2009-01-20 16:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 16:45:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Kent 2008-05-28 03:50:40 EDT
Description of problem:

The xfn map type is not recognized by the autofs master map
parser. When encountered a syntax error is reported instead
of it being ignored.

Since this entry is common in the default installed master
map of other OS automount configurations this should be
handled by autofs.

How reproducible:

Steps to Reproduce:
1. add master map entry with map type "-xfn"
2. start autofs.
Actual results:
Syntax error is reported and master map is not correctly

Expected results:
Master map entry is correctly read and "not supported"
message issued.
Comment 1 RHEL Product and Program Management 2008-06-02 15:56:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 6 errata-xmlrpc 2009-01-20 16:45:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.